SDL_GetAudioDeviceName(3)

NAME
SDL_GetAudioDeviceName - Get the human-readable name of a specific audio device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

char* SDL_GetAudioDeviceName(SDL_AudioDeviceID devid);

DESCRIPTION
The string returned by this function is UTF-8 encoded. The caller should call SDL_free
 on the return value when done with it.

FUNCTION PARAMETERS

devid
    the instance ID of the device to query.

RETURN VALUE
Returns the name of the audio device, or NULL on error.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetAudioOutputDevices(3), SDL_GetAudioCaptureDevices(3), SDL_GetDefaultAudioInfo(3)